using System;
using System.IO;
using System.Xml;

class XMLWriterUkazka
{
	static void Main(string[] args)
	{
		// vytvoen XmlWriteru
		XmlTextWriter writer = new XmlTextWriter(
								new StreamWriter("prednaska2.xml"));

		// nastaven formtovn vstupu
		writer.Formatting = Formatting.Indented;
		writer.Indentation = 4;
		
		writer.WriteStartDocument();
		writer.WriteComment("Ukzkov dokument");
		writer.WriteStartElement("pednka");
		writer.WriteStartElement("nzev");
		writer.WriteString("Podpora XML v .NET");
		writer.WriteEndElement();
		writer.WriteStartElement("autor");
		writer.WriteAttributeString("email", "jirka@kosek.cz");
		writer.WriteString("Ji Kosek");
		writer.WriteEndElement();
		writer.WriteEndElement();
		writer.WriteEndDocument();

		writer.Close();
		System.Console.WriteLine("Vsledek je zapsn v souboru prednaska2.xml");

	}
}